commit:     d628cc30c365ed75d3690259404c33c5823a2d9e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 27 05:25:38 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 27 05:41:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d628cc30

dev-python/aiohttp-socks: Bump to 0.5.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aiohttp-socks/Manifest                  |  1 +
 .../aiohttp-socks/aiohttp-socks-0.5.3.ebuild       | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/aiohttp-socks/Manifest 
b/dev-python/aiohttp-socks/Manifest
index 02d338734bc..20badbefa7b 100644
--- a/dev-python/aiohttp-socks/Manifest
+++ b/dev-python/aiohttp-socks/Manifest
@@ -1,2 +1,3 @@
 DIST aiohttp-socks-0.2.2.tar.gz 1351798 BLAKE2B 
40c9e033de523cad365e95051d48dee5fbd3d964e7b3864393c54d23394a5cfcfcb46cb9d78f25a6101bc97034c77c5a75aef94cfb962054c29bd804e387b0a9
 SHA512 
218c262cb3eab74166686614ab5a720c31d1ce886cfd655f296c930f648b1d94e909724346769a46b600b8f1bc8ddbc498ee75cd5854e409566a8ead6a7efdab
 DIST aiohttp-socks-0.5.2.tar.gz 1360373 BLAKE2B 
a6de0bd554ba8bf7122dc2b55720430e103ee9784c77b49f919690cba132122c346acf0f1616f7f1cd73a7b5b93794f064c2ee7bb3477fea9c85462c28e121c1
 SHA512 
92985308f55475265bc438fae6ee30597b542a50b904e3ff69b2bdbdabd15a42dd46b68eb1fa69865931e771aacdb3ffadece72b3b91208eed683a5d98e0d6e7
+DIST aiohttp-socks-0.5.3.tar.gz 1360418 BLAKE2B 
7282a4952d5f0301b14291a1892db5ec058af91cf553e4a17ab0e933bb327d1fae9c015d25ff7405ef69cdf56637140fefa9bd1ab1e6f2e224cdc94b9e279159
 SHA512 
2999f850081d05c31535c24c0fcf0948dbaaec5e421c28ed4ca68b4bfb122f881942e7e829cefc01377212b4579547aafcf273fe5a999acb3d158ee1c3f0a888

diff --git a/dev-python/aiohttp-socks/aiohttp-socks-0.5.3.ebuild 
b/dev-python/aiohttp-socks/aiohttp-socks-0.5.3.ebuild
new file mode 100644
index 00000000000..2be59ad90cd
--- /dev/null
+++ b/dev-python/aiohttp-socks/aiohttp-socks-0.5.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS proxy connector for aiohttp"
+HOMEPAGE="https://pypi.org/project/aiohttp-socks/";
+SRC_URI="https://github.com/romis2012/aiohttp-socks/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Tests require Internet access, also they started failing when run
+# via ebuild (but work fine externally)
+RESTRICT="test"
+
+# TODO: optional dep on trio
+RDEPEND="
+       >=dev-python/aiohttp-2.3.2[${PYTHON_USEDEP}]
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]"
+DEPEND="
+       test? (
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               net-proxy/3proxy
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # TODO: reenable when trio is packaged
+       rm tests/test_core_socks_async_trio.py || die
+       distutils-r1_src_prepare
+}
+
+python_configure_all() {
+       rm tests/3proxy/bin/*/* || die
+       if use test; then
+               ln -s "$(type -P 3proxy)" tests/3proxy/bin/linux/ || die
+       fi
+}

Reply via email to